Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Update Security Group Rules

PUT/security_groups/{security_group_id}/rules/

Path parameters

  • security_group_idPathintegerrequired

    Security Group ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

array

List of security group rules to update or create

itemsobject
idinteger

Existing rule ID (omit for new rules)

example40729
rule_typestringrequiredinbound | outbound
exampleinbound
protocolstringrequiredTCP | UDP | All
exampleTCP
protocol_typestringrequiredCustomTCP | CustomUDP | AllTraffic
exampleCustomTCP
network_typestringrequiredany | manual
exampleany
portsarrayrequired
cidr_ipstring

CIDR IP (required when network_type is manual)

example1.1.1.1
cidr_subnetinteger
example32
descriptionstring
example
isNewboolean

Indicates a newly added rule

exampletrue

Responses

200Security group fetched successfully
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleSuccess